<?php
namespace App\Services;

use App\Models\RombelModel;

class RombelGenerator
{
    public static function generate($kelas)
    {
        $rombelModel = new RombelModel();

        $jumlahRombel = ceil($kelas['kapasitas'] / 30);
        $huruf = range('A', 'Z');

        for ($i = 0; $i < $jumlahRombel; $i++) {

            $rombelModel->insert([
                'kelas_id'     => $kelas['id'],
                'kode_rombel'  => $kelas['kode_kelas'] . '-' . $huruf[$i],
                'nama_rombel'  => $kelas['nama_kelas'] . ' ' . $huruf[$i],
                'kapasitas'    => 30,
                'tahun_ajaran' => $kelas['tahun_ajaran'],
                'status'       => 'aktif'
            ]);
        }
    }
}
